CppUnit project page | FAQ | CppUnit home page

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Defines
SourceLine.h File Reference
`#include <cppunit/Portability.h>`
`#include <string>`
Include dependency graph for SourceLine.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | SourceLine
| Represents a source line location.Used to capture the failure location in assertion. More...
## Defines
#define | CPPUNIT_SOURCELINE() CPPUNIT_NS::SourceLine( __FILE__, __LINE__ )
| Constructs a SourceLine object initialized with the location where the macro is expanded.

| hosts this site. |  | Send comments to: CppUnit Developers